.body-db-main .app-main, .body-db-main .app-navbar {
	margin-left: auto;
	margin-right: auto;
	width: 100%;
}

.navbar-brand {
	color: #1b6456 !important;
	font-weight: bold;
    font-size: 32px;
	padding-left: 0px;
	padding-right: 0px;
	margin-left: 0px;
	margin-right: 0px;
}

.navbar-brand > img {
	height: 42px;
}

.db-navbar .nav-link {
	font-size: 18px;
	padding-left: 8px !important;
	padding-right: 8px !important;
}

.db-navbar .btn-outline-light{
	color: #495057;
	border-color: #dee2e6;
}

.db-navbar>.user-menu .user-image {
    padding-left: 6px;
    padding-top: 5px;
}

.db-learn>.user-menu .user-image {
    padding-left: 4px !important;
    padding-top: 4px !important;
}

.db-navbar>.user-menu .user-image > i {
	font-size: 25px;
}

.db-navbar>.user-menu>.dropdown-menu {
	width: 200px !important;
	font-size: 18px;
	font-weight: normal;
}

.db-navbar .dropdown-menu-start[data-bs-popper] {
	right: 0 !important;
	left: auto !important;
}

.db-learn .db-ctitle {
	overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
    max-width: 600px;
}

.sidebar-menu .nav-link  {
	font-size: 18px;
}

.app-footer a {
	text-decoration: none;
}

.app-wrapper {
	overflow: hidden;
}

.db-app-main {
	margin-left: auto;
	margin-right: auto;
	max-width: 700px;
}

.db-app-main-medium {
	margin-top: 0px !important;
}

.db-app-main-compact {
	margin-top: 0px !important;
	grid-area: lte-app-header;
}

.text-divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 10px 0;
    position: relative;
}

.text-divider::before,
.text-divider::after {
    content: '';
    flex: 1;
    border-top: 1px solid #5F5F5F;
    margin: 0 10px;
}

.text-divider h4 {
    margin: 0;
    font-size: 16px;
    color: #5F5F5F;
}

.form-check-lg input[type="checkbox"], .form-check-lg input[type="radio"] {
	height: 30px;
	width: 30px;
}

.form-check-lg .form-check-label {
	margin-left: 10px;
    height: 30px;
    padding-top: 6px;
    font-weight: bold;
}

.sidebar-brand .brand-link .brand-image {
	width: 40px;
}

.sidebar-brand .brand-link {
	font-size: 32px;
	font-weight: bold;
}

.sidebar-wrapper .sidebar-menu>.nav-item .nav-link.active {
	border-bottom: 1px solid #ffffff;
    border-top: 1px solid #ffffff;
}

.db-container {
	max-width: 448px !important;
	padding-left: 0px !important;
	padding-right: 0px !important;
}

.sidebar-open .navbar.mobile-bottom-nav {
	display: none;
}

/* Optional: Hide on larger screens */
@media (min-width: 768px) {
	.mobile-bottom-nav {
		display: none;
	}
}

.mobile-bottom-nav {
	background-color: #FFFFFF;
}


/* Icon size and layout */
.mobile-bottom-nav .nav-link {
	font-size: 0.9rem;
	color: #6c757d !important;
}

.mobile-bottom-nav .nav-link.active {
	color: #000000  !important;;
	font-weight: bold;
	font-size: 16px !important;
}

.mobile-bottom-nav i {
	display: block;
	font-size: 1.3rem;
}

@media (max-width: 767px) {
    .db-admin .app-main .app-content-header {
		padding: 8px 0px !important;
	}

	.db-admin .app-main .app-content {
		padding: 0px 0px !important;
	}
}

.home-header {
	background-color: #daedec;
	color: #333333;
	min-height: 100px;
	padding-top: 20px;
	padding-bottom: 20px;
}

.home-header .header-logo {
	width: 50px;
	color: #FFFFFF;
}

.home-header .header-title {
	color: #333333;
}

.home-header .header-text {
	color: #333333;
}

.login-cart {
	max-width: 400px;
}

.show-on-top {
    position: absolute !important;
    z-index: 99999 !important;
}

/* Desktop: normal */
.dropdown-menu-mobile {
    z-index: 99999 !important;
}

/* Mobile view: force dropdown inside screen */
@media (max-width: 576px) {
    .dropdown-menu-mobile {
        left: 0 !important;
        right: 0 !important;
        transform: none !important;   /* remove offset */
        width: 100% !important;
        position: absolute !important;
    }
}

.nav-tabs-scroll {
    white-space: nowrap;
    scrollbar-width: thin;  /* Firefox */
}

.nav-tabs-scroll::-webkit-scrollbar {
    height: 6px;
}

.nav-tabs-scroll::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 10px;
}

.border-soft {
    border: 1px solid rgba(0,0,0,0.06); /* lighter than default */
    border-radius: 6px;
}

.left-col {
    border-right: 1px solid #dee2e6;
}

/* Hide border on mobile */
@media (max-width: 767.98px) {
    .left-col {
        border-right: none;
    }
}

.db-border {
	border: 1px solid var(--bs-border-color) !important;
}

.dropdown-menu {
    z-index: 1055;
} 

.youtube-thumbnail {
    position: relative;
    display: block;
    overflow: hidden;
    border-radius: 12px;
}
.youtube-thumbnail img {
    width: 100%;
    display: block;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    font-size: 32px;
    color: white;

    display: flex;
    align-items: center;
    justify-content: center;

    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
}